Vous êtes ici

Azada

Informations

Créateur Messages
NoSt

Information

Cet installateur a été accepté par l'équipe.

Informations

Plate-formes :
Téléchargements : 3287
Wine: 3.0.3

Retours d'expérience

Description

Adventure-puzzle casual game. 2007.

 

PCGamingWiki.

Captures d'écran

MiniatureMiniatureMiniature

Code source

#!/usr/bin/env playonlinux-bash
# Date : (2019-07-11)
# Last revision : see changelog
# Wine version used : see below
# Distribution used to test : Ubuntu 18.04 x64
# Script licence : GPL3
# Program licence : Retail
# Playonlinux v4.3.4
#
# Tested version : Azada v1.03 (december 2007) from GOG.com.
#
# Game based on: .
#
#
# CHANGELOG
# [Dadu042] (2019-07-11)
#   Second script wrote, after the one wrote by NoSt in 2016.
#
# KNOWN ISSUES
 
 
[ -z "$PLAYONLINUX" ] && exit 0
source "$PLAYONLINUX/lib/sources"
      
TITLE="Azada"
PREFIX="azada"
WORKING_WINE_VERSION="3.0.3"
AUTHOR="Dadu042"
EDITOR="Big Fish Games"
GAME_URL="https://www.bigfishgames.com/games/2047/azada/?pc"
 
POL_SetupWindow_Init
POL_Debug_Init
 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
 
POL_RequiredVersion "4.2.12" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
 
POL_Wine_SelectPrefix "$PREFIX"
POL_System_SetArch "amd64"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
# POL_Wine_PrefixCreate
POL_System_TmpCreate "$TITLE"
 
Set_OS "win7"
 
# Useless
# POL_Call POL_Install_mfc42
# POL_Call POL_Install_msxml4
 
# Useless
# POL_Call POL_Install_d3dx9_43
# POL_Call POL_Install_d3compiler_43
 
# This game was not released on CD/DVD.
POL_SetupWindow_InstallMethod "LOCAL,STEAM"
  
if [ "$INSTALL_METHOD" == "LOCAL" ]; then

        POL_SetupWindow_menu "$(eval_gettext 'What is the type of the archive file?.')" "$TITLE" "$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
  
if [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"

        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
else
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"

        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/"
fi

elif [ "$INSTALL_METHOD" == "STEAM" ];then
        POL_Call POL_Install_steam
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine "steam.exe" steam://install/2047
        POL_Wine_WaitBefore "$TITLE"
else
        POL_SetupWindow_cdrom
        POL_SetupWindow_check_cdrom "pidgen.dll"
        POL_Wine start /unix "$CDROM/install.exe"
        POL_Wine_WaitExit "install.exe"
        cd "$POL_System_TmpDir"
fi
   
   
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/2047"
else
        POL_Shortcut "Azada.exe" "$TITLE" "" "" "Game;PuzzleGame;"
#        POL_Shortcut_Document "$TITLE" "readme.txt"
fi

POL_System_TmpDelete
POL_SetupWindow_Close
exit 0

Contributions

Filters:

Contribuer
Membre Messages
Dadu042 Jeudi 11 Juillet 2019 à 21:01
Dadu042

Information

Cette mise à jour a été acceptée par l'équipe

Messages

Add .RAR support.

Differences

@@ -22,8 +22,8 @@
 [ -z "$PLAYONLINUX" ] && exit 0
 source "$PLAYONLINUX/lib/sources"
       
-TITLE="Azada B"
-PREFIX="azadaB"
+TITLE="Azada"
+PREFIX="azada"
 WORKING_WINE_VERSION="3.0.3"
 AUTHOR="Dadu042"
 EDITOR="Big Fish Games"
@@ -48,7 +48,7 @@
 # POL_Call POL_Install_mfc42
 # POL_Call POL_Install_msxml4
  
-# Useless ?
+# Useless
 # POL_Call POL_Install_d3dx9_43
 # POL_Call POL_Install_d3compiler_43
  

Nouveau code source

#!/usr/bin/env playonlinux-bash
# Date : (2019-07-11)
# Last revision : see changelog
# Wine version used : see below
# Distribution used to test : Ubuntu 18.04 x64
# Script licence : GPL3
# Program licence : Retail
# Playonlinux v4.3.4
#
# Tested version : Azada v1.03 (december 2007) from GOG.com.
#
# Game based on: .
#
#
# CHANGELOG
# [Dadu042] (2019-07-11)
#   Second script wrote, after the one wrote by NoSt in 2016.
#
# KNOWN ISSUES
 
 
[ -z "$PLAYONLINUX" ] && exit 0
source "$PLAYONLINUX/lib/sources"
      
TITLE="Azada"
PREFIX="azada"
WORKING_WINE_VERSION="3.0.3"
AUTHOR="Dadu042"
EDITOR="Big Fish Games"
GAME_URL="https://www.bigfishgames.com/games/2047/azada/?pc"
 
POL_SetupWindow_Init
POL_Debug_Init
 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
 
POL_RequiredVersion "4.2.12" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
 
POL_Wine_SelectPrefix "$PREFIX"
POL_System_SetArch "amd64"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
# POL_Wine_PrefixCreate
POL_System_TmpCreate "$TITLE"
 
Set_OS "win7"
 
# Useless
# POL_Call POL_Install_mfc42
# POL_Call POL_Install_msxml4
 
# Useless
# POL_Call POL_Install_d3dx9_43
# POL_Call POL_Install_d3compiler_43
 
# This game was not released on CD/DVD.
POL_SetupWindow_InstallMethod "LOCAL,STEAM"
  
if [ "$INSTALL_METHOD" == "LOCAL" ]; then

        POL_SetupWindow_menu "$(eval_gettext 'What is the type of the archive file?.')" "$TITLE" "$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
  
if [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"

        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
else
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"

        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/"
fi

elif [ "$INSTALL_METHOD" == "STEAM" ];then
        POL_Call POL_Install_steam
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine "steam.exe" steam://install/2047
        POL_Wine_WaitBefore "$TITLE"
else
        POL_SetupWindow_cdrom
        POL_SetupWindow_check_cdrom "pidgen.dll"
        POL_Wine start /unix "$CDROM/install.exe"
        POL_Wine_WaitExit "install.exe"
        cd "$POL_System_TmpDir"
fi
   
   
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/2047"
else
        POL_Shortcut "Azada.exe" "$TITLE" "" "" "Game;PuzzleGame;"
#        POL_Shortcut_Document "$TITLE" "readme.txt"
fi

POL_System_TmpDelete
POL_SetupWindow_Close
exit 0

Réponses

Edité par Dadu042

Dadu042 Jeudi 11 Juillet 2019 à 17:56
Dadu042

Warning

Cette mise à jour n'a pas été approuvée par l'équipe.
Utilisez-la à vos risques et périls

Messages

New script

Differences

@@ -1,54 +1,85 @@
+#!/bin/bash
 #!/usr/bin/env playonlinux-bash
-# Date : (2016-02-08)
-# Last revision : (2016-02-09)
-# Wine revision used : 1.6.2
-# Distribution used to test : Ubuntu 15.04
-# Author : NoSt
-
-[ "$PLAYONLINUX" = "" ] && exit 0
+# Date : (2019-07-11)
+# Last revision : see changelog
+# Wine version used : see below
+# Distribution used to test : Ubuntu 18.04 x64
+# Script licence : GPL3
+# Program licence : Retail
+# Playonlinux v4.3.4
+#
+# Tested version : Azada v1.03 (december 2007) from GOG.com.
+#
+# Game based on: .
+#
+#
+# CHANGELOG
+# [Dadu042] (2019-07-11)
+#   Second script wrote, after the one wrote by NoSt in 2016.
+#
+# KNOWN ISSUES
+ 
+ 
+[ -z "$PLAYONLINUX" ] && exit 0
 source "$PLAYONLINUX/lib/sources"
-
-# Definition of the variables
+      
 TITLE="Azada"
-PREFIX="Azada"
-STEAM_ID="7340"
-
-# Initialization of the setup
+PREFIX="azada"
+WORKING_WINE_VERSION="3.0.3"
+AUTHOR="Dadu042"
+EDITOR="Big Fish Games"
+GAME_URL="https://www.bigfishgames.com/games/2047/azada/?pc"
+ 
 POL_SetupWindow_Init
-
-# Initialization of the debugging
 POL_Debug_Init
-
-# Presentation screen
-POL_SetupWindow_presentation "$TITLE" "Big Fish Games" "http://www.bigfishgames.com/games/2047/azada" "NoSt" "$PREFIX"
-
-# Definition of the Wine prefix
+ 
+POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
+ 
+POL_RequiredVersion "4.2.12" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
+ 
 POL_Wine_SelectPrefix "$PREFIX"
-POL_Wine_PrefixCreate
+POL_System_SetArch "amd64"
+POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
+# POL_Wine_PrefixCreate
+POL_System_TmpCreate "$TITLE"
+ 
+Set_OS "win7"
 
-# Selecting the installation method
+# This game was not released on CD/DVD.
 POL_SetupWindow_InstallMethod "LOCAL,STEAM"
-
-# Installation from a local archive
-if [ "$INSTALL_METHOD" = "LOCAL" ]
-then
-    POL_SetupWindow_browse "$(eval_gettext "Please select the installation file to run.")" "$TITLE"
-    POL_SetupWindow_wait "$(eval_gettext "Please wait...")" "$TITLE"
-    POL_Wine "$APP_ANSWER"
-    POL_Shortcut "Azada.exe" "$TITLE"
-    POL_SetupWindow_message "$(eval_gettext "Installation finished.")" "$TITLE"
-    
-# Installation in Steam    
+  
+if [ "$INSTALL_METHOD" == "LOCAL" ]; then
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the ZIP file')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        cd "$POL_System_TmpDir"
+      
+        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
+        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
+        # POL_Wine start /unix "$SETUP_EXE"
+        # POL_Wine_WaitExit "$TITLE"
+              
+elif [ "$INSTALL_METHOD" == "STEAM" ];then
+        POL_Call POL_Install_steam
+        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
+        POL_Wine "steam.exe" steam://install/2047
+        POL_Wine_WaitBefore "$TITLE"
 else
-    POL_Call POL_Install_steam
-    cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam" || exit
-    POL_Wine start /unix "Steam.exe" steam://install/$STEAM_ID
-    POL_SetupWindow_message "$(eval_gettext "Steam is installing $TITLE. Press Next when the installation is finished.")" "$TITLE"
-    POL_Shortcut "Steam.exe" "$TITLE" "" "-applaunch $STEAM_ID"
-    POL_SetupWindow_message "$(eval_gettext "Installation finished.")" "$TITLE"
+        POL_SetupWindow_cdrom
+        POL_SetupWindow_check_cdrom "pidgen.dll"
+        POL_Wine start /unix "$CDROM/install.exe"
+        POL_Wine_WaitExit "install.exe"
+        cd "$POL_System_TmpDir"
+fi
+   
+   
+if [ "$INSTALL_METHOD" == "STEAM" ]; then
+        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/2047"
+else
+        POL_Shortcut "Azada.exe" "$TITLE" "" "" "Game;PuzzleGame;"
+#        POL_Shortcut_Document "$TITLE" "readme.txt"
 fi
 
-# Terminating the setup
+POL_System_TmpDelete
 POL_SetupWindow_Close
-
-exit
+exit 0
\ No newline at end of file

Nouveau code source

#!/bin/bash
#!/usr/bin/env playonlinux-bash
# Date : (2019-07-11)
# Last revision : see changelog
# Wine version used : see below
# Distribution used to test : Ubuntu 18.04 x64
# Script licence : GPL3
# Program licence : Retail
# Playonlinux v4.3.4
#
# Tested version : Azada v1.03 (december 2007) from GOG.com.
#
# Game based on: .
#
#
# CHANGELOG
# [Dadu042] (2019-07-11)
#   Second script wrote, after the one wrote by NoSt in 2016.
#
# KNOWN ISSUES
 
 
[ -z "$PLAYONLINUX" ] && exit 0
source "$PLAYONLINUX/lib/sources"
      
TITLE="Azada"
PREFIX="azada"
WORKING_WINE_VERSION="3.0.3"
AUTHOR="Dadu042"
EDITOR="Big Fish Games"
GAME_URL="https://www.bigfishgames.com/games/2047/azada/?pc"
 
POL_SetupWindow_Init
POL_Debug_Init
 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
 
POL_RequiredVersion "4.2.12" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
 
POL_Wine_SelectPrefix "$PREFIX"
POL_System_SetArch "amd64"
POL_Wine_PrefixCreate "$WORKING_WINE_VERSION"
# POL_Wine_PrefixCreate
POL_System_TmpCreate "$TITLE"
 
Set_OS "win7"

# This game was not released on CD/DVD.
POL_SetupWindow_InstallMethod "LOCAL,STEAM"
  
if [ "$INSTALL_METHOD" == "LOCAL" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the ZIP file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
      
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/"
        # POL_Wine start /unix "$SETUP_EXE"
        # POL_Wine_WaitExit "$TITLE"
              
elif [ "$INSTALL_METHOD" == "STEAM" ];then
        POL_Call POL_Install_steam
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine "steam.exe" steam://install/2047
        POL_Wine_WaitBefore "$TITLE"
else
        POL_SetupWindow_cdrom
        POL_SetupWindow_check_cdrom "pidgen.dll"
        POL_Wine start /unix "$CDROM/install.exe"
        POL_Wine_WaitExit "install.exe"
        cd "$POL_System_TmpDir"
fi
   
   
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/2047"
else
        POL_Shortcut "Azada.exe" "$TITLE" "" "" "Game;PuzzleGame;"
#        POL_Shortcut_Document "$TITLE" "readme.txt"
fi

POL_System_TmpDelete
POL_SetupWindow_Close
exit 0

Réponses

Edité par Dadu042

NoSt Mardi 9 Février 2016 à 19:16
NoSt

Warning

Cette mise à jour n'a pas été approuvée par l'équipe.
Utilisez-la à vos risques et périls

Messages

Here is the script.

I also have all the necessary images, but I have no idea how to upload them.

Differences

@@ -0,0 +1,54 @@
+#!/usr/bin/env playonlinux-bash
+# Date : (2016-02-08)
+# Last revision : (2016-02-09)
+# Wine revision used : 1.6.2
+# Distribution used to test : Ubuntu 15.04
+# Author : NoSt
+
+[ "$PLAYONLINUX" = "" ] && exit 0
+source "$PLAYONLINUX/lib/sources"
+
+# Definition of the variables
+TITLE="Azada"
+PREFIX="Azada"
+STEAM_ID="7340"
+
+# Initialization of the setup
+POL_SetupWindow_Init
+
+# Initialization of the debugging
+POL_Debug_Init
+
+# Presentation screen
+POL_SetupWindow_presentation "$TITLE" "Big Fish Games" "http://www.bigfishgames.com/games/2047/azada" "NoSt" "$PREFIX"
+
+# Definition of the Wine prefix
+POL_Wine_SelectPrefix "$PREFIX"
+POL_Wine_PrefixCreate
+
+# Selecting the installation method
+POL_SetupWindow_InstallMethod "LOCAL,STEAM"
+
+# Installation from a local archive
+if [ "$INSTALL_METHOD" = "LOCAL" ]
+then
+    POL_SetupWindow_browse "$(eval_gettext "Please select the installation file to run.")" "$TITLE"
+    POL_SetupWindow_wait "$(eval_gettext "Please wait...")" "$TITLE"
+    POL_Wine "$APP_ANSWER"
+    POL_Shortcut "Azada.exe" "$TITLE"
+    POL_SetupWindow_message "$(eval_gettext "Installation finished.")" "$TITLE"
+    
+# Installation in Steam    
+else
+    POL_Call POL_Install_steam
+    cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam" || exit
+    POL_Wine start /unix "Steam.exe" steam://install/$STEAM_ID
+    POL_SetupWindow_message "$(eval_gettext "Steam is installing $TITLE. Press Next when the installation is finished.")" "$TITLE"
+    POL_Shortcut "Steam.exe" "$TITLE" "" "-applaunch $STEAM_ID"
+    POL_SetupWindow_message "$(eval_gettext "Installation finished.")" "$TITLE"
+fi
+
+# Terminating the setup
+POL_SetupWindow_Close
+
+exit

Nouveau code source

#!/usr/bin/env playonlinux-bash
# Date : (2016-02-08)
# Last revision : (2016-02-09)
# Wine revision used : 1.6.2
# Distribution used to test : Ubuntu 15.04
# Author : NoSt

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

# Definition of the variables
TITLE="Azada"
PREFIX="Azada"
STEAM_ID="7340"

# Initialization of the setup
POL_SetupWindow_Init

# Initialization of the debugging
POL_Debug_Init

# Presentation screen
POL_SetupWindow_presentation "$TITLE" "Big Fish Games" "http://www.bigfishgames.com/games/2047/azada" "NoSt" "$PREFIX"

# Definition of the Wine prefix
POL_Wine_SelectPrefix "$PREFIX"
POL_Wine_PrefixCreate

# Selecting the installation method
POL_SetupWindow_InstallMethod "LOCAL,STEAM"

# Installation from a local archive
if [ "$INSTALL_METHOD" = "LOCAL" ]
then
    POL_SetupWindow_browse "$(eval_gettext "Please select the installation file to run.")" "$TITLE"
    POL_SetupWindow_wait "$(eval_gettext "Please wait...")" "$TITLE"
    POL_Wine "$APP_ANSWER"
    POL_Shortcut "Azada.exe" "$TITLE"
    POL_SetupWindow_message "$(eval_gettext "Installation finished.")" "$TITLE"
    
# Installation in Steam    
else
    POL_Call POL_Install_steam
    cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam" || exit
    POL_Wine start /unix "Steam.exe" steam://install/$STEAM_ID
    POL_SetupWindow_message "$(eval_gettext "Steam is installing $TITLE. Press Next when the installation is finished.")" "$TITLE"
    POL_Shortcut "Steam.exe" "$TITLE" "" "-applaunch $STEAM_ID"
    POL_SetupWindow_message "$(eval_gettext "Installation finished.")" "$TITLE"
fi

# Terminating the setup
POL_SetupWindow_Close

exit

Réponses

This site allows content generated by members, and we promptly remove any content that infringes copyright according to our Terms of Service. To report copyright infringement, please send a notice to dmca-notice@playonlinux.com